why the lucky stiff wrote:
> On Fri, Aug 25, 2006 at 11:19:02AM +0900, Joe Ruby wrote:
>> Is there an easy way to create a Ruby gem, or install a Ruby gem, from 
>> an SVN repository? I'd like to get using the latest version of Markaby:
>> http://code.whytheluckystiff.net/svn/markaby/
> 
>   svn co http://code.whytheluckystiff.net/svn/markaby/trunk markaby
>   cd markaby
>   rake install
> 
> Which installs the gem.  Also, there is a current gem.
> 
>   gem install markaby --source code.whytheluckystiff.net
> 
> _why

Thanks why, but after doing that and uninstalling Markaby 0.4, Mongrel 
dies at startup with this error:

/usr/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:123:in 
`const_missing': uninitialized constant View (NameError)
        from /var/www/rails/config/environment.rb:66

The lines in environment.rb are:
require 'markaby'
ActionView::Base::register_template_handler 'mab', Markaby::View

I also tried this:
ActionView::Base::register_template_handler 'mab', 
Markaby::ActionViewTemplateHandler

since it looks like things got changed around, but still get the same 
type of error. Any idea how to make this work?

Thanks,
Joe

-- 
Posted via http://www.ruby-forum.com/.